Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.fileadapter.eway
Class FileStreamHandler

    java.lang.Object
      com.stc.connector.fileadapter.eway.FileStreamHandler

All Implemented Interfaces:
  com.stc.connector.framework.eway.StreamHandler

    public class FileStreamHandler

extends java.lang.Object
implements com.stc.connector.framework.eway.StreamHandler

Handlers for Inbound Streams. It works together the Stream Manager and contains the eWay specific content of the streaming

Field Summary
`static char` | `CARRIAGE_RETURN`
`static int` | `DEFAULT_BUFFER_LENGTH`
`static char` | `LINE_FEED`

Constructor Summary
`FileStreamHandler(boolean aSingleRecord, int aMaxRecordSize, boolean aDropEOL, java.lang.String aEncoding, boolean aSerialMode)`

Method Summary
`static java.lang.String` | `dumpBytes(byte[] aBytes)`
`void` | `handle(java.io.InputStream aStream, com.stc.connector.framework.eway.StreamManager aManager)`
`byte[]` | `readRecord(java.io.PushbackInputStream aStream)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_BUFFER_LENGTH

    public static final int DEFAULT_BUFFER_LENGTH

See Also:
  Constant Field Values

### CARRIAGE_RETURN

    public static final char CARRIAGE_RETURN

See Also:
  Constant Field Values

### LINE_FEED

    public static final char LINE_FEED

See Also:
  Constant Field Values

Constructor Detail

### FileStreamHandler

    public FileStreamHandler(boolean aSingleRecord,
                             int aMaxRecordSize,
                             boolean aDropEOL,
                             java.lang.String aEncoding,
                             boolean aSerialMode)

Method Detail

### dumpBytes

    public static java.lang.String dumpBytes(byte[] aBytes)

### handle

    public void handle(java.io.InputStream aStream,
                       com.stc.connector.framework.eway.StreamManager aManager)
                throws java.lang.Throwable

  Specified by:
    `handle` in interface `com.stc.connector.framework.eway.StreamHandler`
  Throws:
    `java.lang.Throwable`

### readRecord

    public byte[] readRecord(java.io.PushbackInputStream aStream)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.